--Select * From dbo.LK_USER WHERE USER_ADID IN ('dxc6526','ke145193','pa309707')
USE COWS
GO
INSERT INTO USER_GRP_ROLE (USER_ID,GRP_ID,ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,CREAT_DT,MODFD_DT)
SELECT lu.USER_ID, 12,20,1,1,1,GETDATE(),GETDATE()
	From	dbo.LK_USER	lu WITH (NOLOCK)	
	WHERE NOT EXISTS
		(
			SELECT 'X'
				FROM dbo.USER_GRP_ROLE ug with (nolock)
				WHERE	lu.USER_ID	= ug.USER_ID
					AND	ug.GRP_ID	=	12
					AND	ug.ROLE_ID	=	20
		)	
		AND 
		lu.USER_ADID IN ('dxc6526', 'ke145193','pa309707','mgb4552','yxf6857','te157808','gdh7974','tph5864','ke315718',
			'ke145742','aam3889','ejm1385','do319103','jxm4210','th318348','ch157261','ve216377','na209276','da143526',
			'zv502263','ps7433731','fh545087','ea208497','ad531072','uy620010','h1265456','vq587629','zl438437','it070820',
			'lv826097','mj236137','hse6554','dam7983','trj5376','sxd3429','da314973','lxv2067','Jz538739','srn9794','bjd2761',
			'de318865','lhm2101','lmw5869','axa3316','caf9108','me220224','glj9105','rlj3301','jo142521','ljl4123','kxl5942',
			'cs498613','iem4119','nxm9072','wdr9999','jwr8949','txr0368','cl318150','de318208','ah300827','jdb3900','ri317760',
			'bi300885','da222384','li034391','uq587708','ro205968','mxf5280','ye384998','jo261630','da222389','ah157659','ti260946',
			'os184792','pe249146','pa317034','ah300827','ju317931','na252666','br203760','de233633','ke315349','da257220','er146562',
			'ixs3397','ku201646','ve239339','pa224402','ba293615','ft334317','mu235760','xk257948','mg073898','sw057670','ja258164',
			'ks181651','rrl4082','kt912573','arv2964','yay6927','smh4437a','ma157184','id710860','ja309771','hhd6201','sch8078',
			'wd931560','pa145603','ke145194','er315740','jst6222','ssd2637','wse4607','kxl7545','cal1980','do157630','ca317957',
			'mi318879','dmr6639','da316081','sn998098','uq797521','jms1784','ch313893','jr629514','jo312160','jms7823','br157247',
			'sch8079','ev657176','kxl7545','sh312561','ek454922','whw1842','mcs8871','sdj2093','tjs2551','pdp6966','col9209','agm4456')


--Select * From dbo.USER_GRP_ROLE WHERE GRP_ID = 12

----Select * From dbo.LK_GRP WITH (NOLOCK) 

----Select * From dbo.LK_ROLE 
----Select * 
----	From	dbo.USER_GRP_ROLE ugr WITH (NOLOCK) 
----inner join	dbo.LK_USER lu with (nolock) on ugr.USER_ID = lu.USER_ID
----	Where	lu.USER_ADID IN ('dxc6526','ke145193','pa309707')
--SELECT * 
--FROM dbo.LK_USER WHERE 	
--	USER_ADID IN (
--'dxc6526',
--'ke145193',
--'pa309707',
--'mgb4552',
--'yxf6857',
--'te157808',
--'gdh7974',
--'tph5864',
--'ke315718',
--'ke145742',
--'aam3889',
--'ejm1385',
--'do319103',
--'jxm4210',
--'th318348',
--'ch157261',
--'ve216377',
--'na209276',
--'da143526',
--'zv502263',
--'ps7433731',
--'fh545087',
--'ea208497',
--'ad531072',
--'uy620010',
--'h1265456',
--'vq587629',
--'zl438437',
--'it070820',
--'lv826097',
--'mj236137',
--'hse6554',
--' dam7983',
--'trj5376',
--' dam7983',
--' dam7983',
--'sxd3429',
--'da314973',
--' lxv2067',
--'Jz538739',
--'srn9794',
--'bjd2761',
--'de318865',
--'lhm2101',
--'lmw5869',
--'axa3316',
--'caf9108',
--'me220224',
--'glj9105',
--'rlj3301',
--'jo142521',
--'ljl4123',
--'kxl5942',
--'cs498613',
--'iem4119',
--'nxm9072',
--'wdr9999',
--'jwr8949',
--'txr0368',
--'cl318150',
--'de318208',
--'ah300827',
--'jdb3900',
--'ri317760',
--'bi300885',
--'da222384',
--'li034391',
--'uq587708',
--'ro205968',
--'mxf5280',
--'ye384998',
--'jo261630',
--'da222389',
--'ah157659',
--'ti260946',
--'os184792',
--'pe249146',
--'pa317034',
--'ah300827',
--'ju317931',
--'na252666',
--'br203760',
--'de233633',
--'ke315349',
--'da257220',
--'er146562',
--'ixs3397',
--'ku201646',
--'ve239339',
--'pa224402',
--'ba293615',
--'ft334317',
--'mu235760',
--'xk257948',
--'mg073898',
--'sw057670',
--'ja258164',
--'ks181651',
--'rrl4082',
--'kt912573',
--'arv2964',
--'yay6927',
--'smh4437a',
--'ma157184',
--'id710860',
--'ja309771',
--'hhd6201',
--'sch8078',
--'wd931560',
--'pa145603',
--'ke145194',
--'er315740',
--'jst6222',
--'ssd2637',
--'wse4607',
--'kxl7545',
--'cal1980',
--'do157630',
--'ca317957',
--'mi318879',
--'dmr6639',
--'da316081',
--'sn998098',
--'uq797521',
--'jms1784',
--'ch313893',
--'jr629514',
--'jo312160',
--'jms7823',
--'br157247',
--'sch8079',
--'ev657176',
--'kxl7545',
--'sh312561',
--'ek454922',
--'whw1842',
--'mcs8871',
--'sdj2093',
--'tjs2551',
--'pdp6966')